GET/api/v4/reviewDetails

依 ID 取得互動

傳回指定一組互動 ID 的完整互動物件。

需要 API 金鑰。標頭格式與金鑰輪替請參閱驗證。

參數

查詢

名稱類型必填說明預設值
interactionIdsstring必填JSON-encoded array of interaction IDs to fetch, e.g. `["b2fa765e-c62b-4e0b-b1d6-1c67c855f5e0"]`. Passed as a URL-encoded JSON string.—

回應

200Interaction details for the requested IDs. `data.interactionDetails.interactions` holds the array.
Response
{  "data": {    "interactionDetails": {      "interactions": [        {          "id": "b2fa765e-c62b-4e0b-b1d6-1c67c855f5e0",          "source": "maps.google.com",          "content": "Great place for dessert!",          "authorName": "Jordan M.",          "category": "Review",          "type": "Review",          "rating": 5,          "date": "2026-05-12T09:22:41+00:00",          "responded": true,          "responseCount": 1,          "canRespond": true,          "responses": [            {              "id": "2090753a-ece6-4837-8336-8494ad308523",              "content": "Thank you so much for the kind words!",              "authorName": "Jenny Home",              "date": "2026-05-13T14:02:00+00:00",              "interactionStatus": "CONFIRMED",              "editedResponse": false            }          ]        }      ]    }  }}
401Unauthenticated, missing or invalid API key.

取得一個或多個指定互動 ID 的完整互動詳細資料。當您已儲存互動 ID,且需要取得這些互動的最新資料,而不想逐頁瀏覽完整的互動清單時,這個端點便很實用。回應主體為 data.interactionDetails.interactions,這是由互動物件組成的陣列(請參閱互動屬性參考)。

請將 interactionIds 以經過 URL 編碼的 JSON 陣列傳入。當某個 ID 不屬於您的帳戶時,此端點會傳回 200,且 data.interactionDetails 為 null,並包含一個 errors 陣列(例如 SY90001: Not Authorized to access this resource);若完全省略此參數,則會傳回 SY90006。

使用案例:重新取得已儲存追蹤清單的完整資料

如果您建置的通知系統會儲存互動 ID(例如使用者加上星號的評論),請定期呼叫此端點,重新取得這些互動的完整資料,並偵測商家擁有者新發布的 responses 或已變更的 responded 旗標,無須重新掃描整份評論清單。此處傳回的 responses[].id 就是您傳入編輯回覆或封存回覆的 responseId。

Request
curl -X GET 'https://listingsapi.com/api/v4/reviewDetails?interactionIds=<interactionIds>' \  -H "Authorization: API $LISTINGSAPI_KEY"